@forward 'datepicker';

@tailwind base;
@tailwind components;
@tailwind utilities;

// @import 'node_modules/tippy.js/dist/tippy';
// @import 'node_modules/tippy.js/animations/scale';

// Sidebar navigation
#sidebar {
  @apply col-span-5 sm:col-span-4 lg:col-span-3 p-4 border-r border-gray-200;

  nav {
    ul {
      @apply text-slate-500 font-medium;
    }

    li {
      @apply mb-2;
    }

    a {
      @apply flex items-center px-3 py-2.5 rounded-md hover:text-slate-900 hover:bg-sky-100;

      &:hover svg {
        @apply text-sky-500;
      }
    }

    svg {
      @apply w-6 h-6 shrink-0 mr-3 text-slate-400;
    }

    .active a {
      @apply text-slate-900 bg-sky-100;

      svg {
        @apply text-sky-500;
      }
    }
  }

  html.theme-dark-sidebar & {
    @apply bg-slate-800 border-r-0;

    nav {
      ul {
        @apply text-slate-200;
      }

      a {
        @apply rounded hover:text-slate-100 hover:bg-slate-700;

        &:hover svg {
          @apply text-sky-400;
        }
      }

      .active a {
        @apply text-slate-100 bg-slate-700;

        svg {
          @apply text-sky-400;
        }
      }
    }
  }

  html.theme-blue-sidebar & {
    @apply bg-blue-900 border-r-0;

    nav {
      ul {
        @apply text-blue-100;
      }

      a {
        @apply rounded hover:text-white hover:bg-blue-700;

        &:hover svg {
          @apply text-blue-300;
        }
      }

      svg {
        @apply text-blue-400;
      }

      .active a {
        @apply text-blue-100 bg-blue-700;

        svg {
          @apply text-blue-300;
        }
      }
    }
  }
}


// Notifications
#notifications {
  @apply fixed top-6 right-6 ml-6 flex flex-col items-end;
}

.notification {
  @apply flex max-w-xs p-4 mb-5 text-gray-500 bg-white rounded-lg shadow opacity-100 transition-opacity duration-300;

  &.added,
  &.removing { // Note: can be renamed to .htmx-added once hx-swap-oob works in combination with the 'settle' modifier, see comment in main.js
    @apply opacity-0;
  }
}

.notification-icon {
  @apply inline-flex items-center justify-center flex-shrink-0 w-8 h-8 text-sky-500 bg-sky-100 rounded-lg;

  svg {
    @apply w-5 h-5;
  }
}

.notification-body {
  @apply ml-3 mr-1 text-sm;

  p {
    @apply mb-2;
  }
}

h4 {
  @apply mb-1 text-sm font-semibold text-gray-800;
}

.notification-cta {
  @apply inline-block text-white bg-sky-500 border border-sky-600 hover:bg-sky-600 hover:border-sky-700 focus:ring-4 focus:outline-none focus:ring-sky-200 font-medium rounded-lg text-xs px-3 py-1.5 shadow-sm;
}

.notification-close {
  @apply inline-flex h-8 w-8 p-1.5 -my-1.5 bg-white items-center justify-center flex-shrink-0 text-slate-400 hover:text-slate-900 rounded-lg focus:ring-2 focus:ring-slate-300 hover:bg-slate-100;

  svg {
    @apply w-3 h-3;
  }
}

// // Style tooltips. Note: all tippy tooltips, without using a theme
// .tippy-box {
//   @apply text-white bg-blue-600 shadow;

//   .tippy-arrow {
//     @apply text-blue-600;
//   }
// }

// .tippy-content {
//   @apply whitespace-pre-line;
// }
